Skip to main content
POST
/
api
/
v1
/
api-keys
/
{id}
/
regenerate
Regenerate API key
curl --request POST \
  --url https://api.rafftechnologies.com/api/v1/api-keys/{id}/regenerate \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key_prefix": "raff_17d70fcf",
    "is_active": true,
    "secret": "raff_17d70fcf7e7510968a4c19279b25707f088f1cc5ad8b74210341d8e470b5bb7a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scope": "public",
    "rate_limit_tier": "standard",
    "expires_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role_name": "<string>",
    "role_slug": "<string>",
    "project_accesses": [
      {
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_name": "<string>",
        "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "role_name": "<string>",
        "role_slug": "<string>"
      }
    ],
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rafftechnologies.com/llms.txt

Use this file to discover all available pages before exploring further.

Updated May 8, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

API key ID (UUID)

Response

API key regenerated (full secret returned once)

success
boolean
data
object
Last modified on May 8, 2026